## BraseroDriveSelection

BraseroDriveSelection

## Functions

GtkWidget * | brasero_drive_selection_new ()
BraseroDrive * | brasero_drive_selection_get_active ()
gboolean | brasero_drive_selection_set_active ()
void | brasero_drive_selection_show_type ()

## Types and Values

struct | BraseroDriveSelection

## Description

## Functions

### brasero_drive_selection_new ()

    GtkWidget *
    brasero_drive_selection_new (void);

Creates a new BraseroDriveSelection object

#### Returns

a GtkWidget. Unref when it is not needed anymore.

### brasero_drive_selection_get_active ()

    BraseroDrive *
    brasero_drive_selection_get_active (BraseroDriveSelection *selector);

Gets the active drive.

#### Parameters

selector | a BraseroDriveSelection |

#### Returns

a BraseroDrive or NULL. Unref when it is not needed anymore.

### brasero_drive_selection_set_active ()

    gboolean
    brasero_drive_selection_set_active (BraseroDriveSelection *selector,
                                        BraseroDrive *drive);

Sets the active drive. Emits the ::drive-changed signal.

#### Parameters

selector | a BraseroDriveSelection |
drive | a BraseroDrive to set as the active one in the selector |

#### Returns

a gboolean. TRUE if it succeeded, FALSE otherwise.

### brasero_drive_selection_show_type ()

    void
    brasero_drive_selection_show_type (BraseroDriveSelection *selector,
                                       BraseroDriveType type);

Filters and displays drive corresponding to `type` .

#### Parameters

selector | a BraseroDriveSelection |
type | a BraseroDriveType |

## Types and Values

### struct BraseroDriveSelection

    struct BraseroDriveSelection {
    	GtkComboBox parent_instance;
    };